# Sanitizer_EventData Struct Reference
[Sanitizer Callback API]

Data passed into an event callback function. More...

## Data Fields

CUcontext | context
CUevent | event
Sanitizer_StreamHandle | hStream
CUstream | stream

## Detailed Description

Data passed into an event callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal tp SANITIZER_CB_DOMAIN_EVENTS. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

## Field Documentation

CUcontext Sanitizer_EventData::context

For SANITIZER_CBID_EVENTS_CREATED, SANITIZER_CBID_EVENTS_DESTROYED, and SANITIZER_CBID_EVENTS_SYNCHNONIZED, this is the context containing the event. For SANITIZER_CBID_EVENTS_RECORD and SANITIZER_CBID_EVENTS_STREAM_WAIT, this is the context containing the stream being recorded or waiting.

CUevent Sanitizer_EventData::event

The event recording or being waited.

Sanitizer_StreamHandle Sanitizer_EventData::hStream

Unique handle for the stream.

CUstream Sanitizer_EventData::stream

The stream being recorded or waiting. Available if cbid is SANITIZER_CBID_EVENTS_RECORD or SANITIZER_CBID_EVENTS_STREAM_WAIT.